#!/bin/bash

#AUDIO_FILE_INDEX_ARRAY_SIZE=7
#declare -a AUDIO_FILE_INDEX_ARRAY=(-1 1 3 4 5 6 7 8)
AUDIO_FILE_INDEX_ARRAY_SIZE=3
declare -a AUDIO_FILE_INDEX_ARRAY=(-1 3 4 9)

NUMBER_AUDIO_FEATURES_ARRAY_SIZE=3
declare -a NUMBER_AUDIO_FEATURES_ARRAY=(-1 64 128 256)

#SPARSITY_LEVEL_ARRAY_SIZE=4
#declare -a SPARSITY_LEVEL_ARRAY=(-1 2 4 10 20)
SPARSITY_LEVEL_ARRAY_SIZE=2
declare -a SPARSITY_LEVEL_ARRAY=(-1 4 10)

NUMBER_FRAMES_PER_BLOCK_ARRAY_SIZE=1
declare -a NUMBER_FRAMES_PER_BLOCK_ARRAY=(-1 1)

#COMPRESSION_RATIO_ARRAY_SIZE=2
#declare -a COMPRESSION_RATIO_ARRAY=(-1 1 20)
COMPRESSION_RATIO_ARRAY_SIZE=1
declare -a COMPRESSION_RATIO_ARRAY=(-1 5)

#NUMBER_ITERATIONS_ARRAY_SIZE=4
#declare -a NUMBER_ITERATIONS_ARRAY=(-1 1 10 100 200)
NUMBER_ITERATIONS_ARRAY_SIZE=1
declare -a NUMBER_ITERATIONS_ARRAY=(-1 200)

FRAME_DURATION_ARRAY_SIZE=1
declare -a FRAME_DURATION_ARRAY=(-1 0.25)
#FRAME_DURATION_ARRAY_SIZE=1
#declare -a FRAME_DURATION_ARRAY=(-1 1)

FRAME_HOP_DURATION_ARRAY_SIZE=1
declare -a FRAME_HOP_DURATION_ARRAY=(-1 0.0125)
#FRAME_HOP_DURATION_ARRAY_SIZE=1
#declare -a FRAME_HOP_DURATION_ARRAY=(-1 0.25)


i_audio_index=1
while [ ${i_audio_index} -le ${AUDIO_FILE_INDEX_ARRAY_SIZE} ]; 
do
	AUDIO_FILE_INDEX=${AUDIO_FILE_INDEX_ARRAY[$i_audio_index]}
	
	
	i_number_audio_features=1
	while [ ${i_number_audio_features} -le ${NUMBER_AUDIO_FEATURES_ARRAY_SIZE} ]; 		
	do
		NUM_AUDIO_FEATURES=${NUMBER_AUDIO_FEATURES_ARRAY[$i_number_audio_features]}
		
		
		i_sparsity_level=1
		while [ ${i_sparsity_level} -le ${SPARSITY_LEVEL_ARRAY_SIZE} ]; 		
		do
			SPARSITY_LEVEL=${SPARSITY_LEVEL_ARRAY[$i_sparsity_level]}
			
			
			i_num_frames_per_block=1
			while [ ${i_num_frames_per_block} -le ${NUMBER_FRAMES_PER_BLOCK_ARRAY_SIZE} ]; 		
			do
				NUM_FRAMES_PER_BLOCK=${NUMBER_FRAMES_PER_BLOCK_ARRAY[$i_num_frames_per_block]}
				
				
				i_compression_ratio=1
				while [ ${i_compression_ratio} -le ${COMPRESSION_RATIO_ARRAY_SIZE} ]; 		
				do
					COMPRESSION_RATIO=${COMPRESSION_RATIO_ARRAY[$i_compression_ratio]}
					
					
					i_number_iterations=1
					while [ ${i_number_iterations} -le ${NUMBER_ITERATIONS_ARRAY_SIZE} ]; 		
					do
						NUM_ITERATIONS=${NUMBER_ITERATIONS_ARRAY[$i_number_iterations]}
						
						
						i_frame_duration=1
						while [ ${i_frame_duration} -le ${FRAME_DURATION_ARRAY_SIZE} ]; 		
						do
							FRAME_DURATION=${FRAME_DURATION_ARRAY[$i_frame_duration]}
							
							i_frame_hop_duration=1
							while [ ${i_frame_hop_duration} -le ${FRAME_HOP_DURATION_ARRAY_SIZE} ]; 		
							do
								FRAME_HOP_DURATION=${FRAME_HOP_DURATION_ARRAY[$i_frame_hop_duration]}
								
								qsub ictkm_driver_audio_simulation.sge ${AUDIO_FILE_INDEX} ${NUM_AUDIO_FEATURES} ${SPARSITY_LEVEL} ${NUM_FRAMES_PER_BLOCK} ${FRAME_DURATION} ${FRAME_HOP_DURATION} ${COMPRESSION_RATIO} ${NUM_ITERATIONS} 						
						
								#echo "AUDIO_FILE_INDEX=${AUDIO_FILE_INDEX} NUM_AUDIO_FEATURES=${NUM_AUDIO_FEATURES} SPARSITY_LEVEL=${SPARSITY_LEVEL} NUM_FRAMES_PER_BLOCK=${NUM_FRAMES_PER_BLOCK} FRAME_DURATION=${FRAME_DURATION} FRAME_HOP_DURATION=${FRAME_HOP_DURATION} COMPRESSION_RATIO=${COMPRESSION_RATIO} NUM_ITERATIONS=${NUM_ITERATIONS}"							
								
								i_frame_hop_duration=$((${i_frame_hop_duration}+1))														
							done
							
							i_frame_duration=$((${i_frame_duration}+1))	
						done																		
						
						i_number_iterations=$((${i_number_iterations}+1))						
					done										
					
					i_compression_ratio=$((${i_compression_ratio}+1))
				done
												
				i_num_frames_per_block=$((${i_num_frames_per_block}+1))
			done
						
			i_sparsity_level=$((${i_sparsity_level}+1))									
		done			
				
		i_number_audio_features=$((${i_number_audio_features}+1))			
	done	
	
	i_audio_index=$((${i_audio_index}+1))	
done